> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#body.RetrievePlannableUserListsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#body.aspect)
- [PlannableUserList](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#PlannableUserList)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#PlannableUserList.SCHEMA_REPRESENTATION)
- [UserListType](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#UserListType)
- [PlannableStatus](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#PlannableStatus)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#try-it)

Retrieves first and third party user lists available for forecasting.

<br />

> [!WARNING]
> API support for generating reach forecasts and retrieving related metadata is in beta. This method is only available to allowlisted users.

<br />

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/reachForecast:retrievePlannableUserLists`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser to retrieve plannable user lists for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Must be between `1` and `5000`. If unspecified will default to `5000`. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#body.RetrievePlannableUserListsResponse.FIELDS.next_page_token` returned from the previous call to `reachForecast.retrievePlannableUserLists` method. If not specified, the first page of results will be returned. |
| `filter` | `string` Optional. Allows filtering by plannable user list properties. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` or `OR` logical operators. - A restriction has the form of `{field} {operator} {value}`. - The `displayName` field must use the `HAS (:)` operator. - All other fields must use the `EQUALS (=)` operator. Supported fields: - `plannableStatus` - `displayName` - `userListType` - `name` Examples: - All plannable user lists: `plannableStatus="PLANNABLE"` - Plannable user lists with display name containing "Shopping": `plannableStatus="PLANNABLE" AND displayName:"Shopping"` - First party user lists: `userListType="FIRST_PARTY"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

Response for reachForecast.retrievePlannableUserLists.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "plannableUserLists": [ { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#PlannableUserList`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `plannableUserLists[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#PlannableUserList`)`` Output only. The list of plannable user lists. |
| `nextPageToken` | `string` Output only. A token to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## PlannableUserList

A plannable user list used for reach forecasting.

| JSON representation |
|---|
| ``` { "displayName": string, "userListType": enum (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#UserListType`), "name": string, "plannableStatus": enum (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#PlannableStatus`) } ``` |

| Fields ||
|---|---|
| `displayName` | `string` Output only. The display name of the user list. |
| `userListType` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#UserListType`)`` Output only. The type of the user list. |
| `name` | `string` Output only. The resource name identifying the user list. Format: `advertisers/{advertiserId}/userLists/{user_list_id}` |
| `plannableStatus` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserLists#PlannableStatus`)`` Output only. The plannability status of the user list. |

## UserListType

Types of user lists.

| Enums ||
|---|---|
| `USER_LIST_TYPE_UNSPECIFIED` | Unspecified user list type. |
| `FIRST_PARTY` | A first-party user list. |
| `THIRD_PARTY` | A third-party user list. |

## PlannableStatus

Status indicating if a list is plannable or not.

| Enums ||
|---|---|
| `PLANNABLE_STATUS_UNSPECIFIED` | Unspecified plannability status. |
| `PLANNABLE` | The user list is plannable. |
| `UNPLANNABLE` | The user list is unplannable. |